=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20251025.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 25 Oct 2025 00:21:53 +0000
