## knewstuff 5.116.0+p24.04+vstable+git20251028.1038

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20251028.1038-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:39:07 +0000
