## knewstuff 5.116.0+p24.04+vstable+git20251031.0736

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20251031.0736-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:36:57 +0000
