## knewstuff 5.116.0+p24.04+vstable+git20251220.0248

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20251220.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:48:59 +0000
