## knewstuff 5.116.0+p24.04+vstable+git20260113.0333

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20260113.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 03:33:51 +0000
