=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20260116.0320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 03:20:40 +0000
