## knewstuff 5.116.0+p24.04+vunstable+git20251015.1522

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20251015.1522-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:22:36 +0000
