## knewstuff 5.116.0+p24.04+vunstable+git20251111.0339

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20251111.0339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:39:41 +0000
