## knewstuff 5.116.0+p24.04+vunstable+git20251208.0219

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20251208.0219-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:19:13 +0000
