## knewstuff 5.116.0+p24.04+vunstable+git20260113.0148

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20260113.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 01:49:01 +0000
