## knewstuff 5.116.0+p24.04+vunstable+git20260116.0230

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20260116.0230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:30:13 +0000
